import React from 'react';
import Select, {
  components,
  DropdownIndicatorProps,
  NoticeProps
} from 'react-select';

const DropdownIndicator: React.FunctionComponent<DropdownIndicatorProps> = props => {
  return (
    <components.DropdownIndicator {...props}>
      <svg
        xmlns="http://www.w3.org/2000/svg"
        width="16"
        height="16"
        fill="currentColor"
        className="bi bi-caret-down-fill"
        viewBox="0 0 16 16"
      >
        <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
      </svg>
    </components.DropdownIndicator>
  );
};

const NoOptionsMessage: React.FunctionComponent<NoticeProps> = props => {
  return (
    <components.NoOptionsMessage {...props}>
      没有数据
    </components.NoOptionsMessage>
  );
};

const DatasyncForm: React.FunctionComponent = () => {
  return (
    <form className="jldbq-form">
      <label>
        <span className="jldbq-form-label">数据源:</span>
        <Select
          className="react-select-container"
          classNamePrefix="react-select"
          placeholder="选择数据源"
          components={{ DropdownIndicator, NoOptionsMessage }}
          options={[{ value: 'a', label: 'a' }]}
        />
      </label>
      <label>
        <span className="jldbq-form-label">同步对象:</span>
        <Select
          className="react-select-container"
          classNamePrefix="react-select"
          placeholder="选择同步对象"
          components={{ DropdownIndicator, NoOptionsMessage }}
        />
      </label>
      <label>
        <span className="jldbq-form-label">并发数:</span>
        <input
          className="jldbq-form-input"
          type="number"
          placeholder="请输入并发数"
        />
      </label>
    </form>
  );
};

export default DatasyncForm;
